<template>
  <div class="CommandsComponent">
    <b-card class="mx-5 mb-5 mt-3 text-center">
      <h6>
        <b>COMMANDES EN COURS</b>
      </h6>
    </b-card>

    <div v-for="command in commands" :key="command._id">
      <b-card class="mx-2 mb-4 mt-2">
        <h6 class="m-1 mb-3">
          <b>{{ command._id }}</b>
        </h6>

        <div v-for="food in command.content" :key="food._id">
          <b-card class="mx-1 mb-4 mt-2">
            <div class="row">
              <div class="col-8">
                <h6>
                  <b>{{ food.name }}</b>
                </h6>
              </div>
              <div class="col">
                <b>x {{ food.quantity }}</b>
              </div>
            </div>

            <b-card-text class="restaurant-card">
              <div style="width: 70%">
                <li
                  class="extras"
                  v-for="extra in food.extras"
                  :key="extra._id"
                >
                  {{ extra.name }}
                </li>
              </div>
            </b-card-text>
          </b-card>
        </div>
        <div class="row">
          <div class="col">
            <b-button style="font-size: 13px;" @click="acceptCommand(command._id)" variant="secondary"
              >Accepter la commande</b-button
            >
          </div>
          <div class="col">
            <b-button style="font-size: 13px;" @click="refuseCommand(command._id)" variant="danger"
              >Refuser la commande</b-button
            >
          </div>
        </div>
      </b-card>
    </div>
  </div>
</template>

<script lang="ts">
import router from "@/router";
import Vue from "vue";
import { mapActions, mapGetters } from "vuex";

export default Vue.extend({
  name: "CommandsComponent",

  data: () => ({}),

  methods: {
    ...mapActions(["getCommandsByRestaurant", "validateCommand"]),

    acceptCommand(id: any){
      this.validateCommand(id)
    },

    refuseCommand(id: any){
      console.log("refuse")
    }
  },

  created() {
    this.$store.dispatch(
      "getCommandsByRestaurant",
      this.$store.state.restaurant.MyRestaurant._id
    );
  },

  computed: {
    ...mapGetters(["commands"]),
  },
});
</script>

<style scoped></style>
